import settings from '../settings'
import { getAuthen } from '../assets/util'



// 带Origin后缀的通过getter获取
export const state = () => ({
  openIdOrigin: "oJR5R6gWNpGre5hfPXkFvcdBhIrE",
  accessTokenOrigin: "",
  unionIdOrigin: "",
  userInfoOrigin: {},
  stationIdOrigin: settings.stationId,
})

export const getters = {
  openId:(state)=> {
    if(!state.openIdOrigin){
      getAuthen()
    }
    return state.openIdOrigin
  },
  accessToken:(state)=>{
    if(!state.accessTokenOrigin){
      getAuthen()
    }
    return state.accessToken
  },
  unionId:(state)=>{
    if(!state.unionIdOrigin){
      getAuthen()
    }
    return state.unionIdOrigin
  },
  userInfo:(state)=>state.userInfoOrigin,
  stationId:(state)=>state.stationIdOrigin,

}

export const mutations = {
  setOpenId(state, openId) {
    state.openIdOrigin = openId
  },
  setAccessToken(state, accessToken) {
    state.accessTokenOrigin = accessToken
  },
  setUnionId(state, unionId) {
    state.unionIdOrigin = unionId
  },
  setUserInfo(state, userInfo) {
    state.userInfoOrigin = userInfo
  }
}

export const actions = {
  setBaseData({ commit, state }, info) {
    commit("setOpenId", info.openId)
    commit("setAccessToken", info.accessToken)
    commit("setUnionId", info.unionId)
    return this.$axios.$get("/getGzhUserInfo", {
      params: {
        openId: info.openId,
        stationId: state.stationIdOrigin
      }
    }).then((res) => {
      if (res.retCode === 0) {
        commit("setUserInfo", res.data)
        this.$axios.$post("/addAppUserInfo",{
          userType: "1",
          openId: info.openId,
          unionId: info.unionId,
          stationId: state.stationIdOrigin, //油站Id
          blogNickName: res.data.nickname,
          sexFlag: res.data.sex === 1 ? 'M' : 'F',
          blogProfilePhoto: res.data.headimgurl
        })
      }
    })
  }
}